"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VmessNodeConfigValidator = void 0;
const zod_1 = require("zod");
const types_1 = require("../types");
const common_1 = require("./common");
exports.VmessNodeConfigValidator = common_1.SimpleNodeConfigValidator.extend({
    type: zod_1.z.literal(types_1.NodeTypeEnum.Vmess),
    hostname: zod_1.z.string(),
    port: common_1.PortValidator,
    method: zod_1.z.union([
        zod_1.z.literal('none'),
        zod_1.z.literal('aes-128-gcm'),
        zod_1.z.literal('chacha20-ietf-poly1305'),
        zod_1.z.literal('auto'),
    ]),
    uuid: zod_1.z.string().uuid(),
    alterId: common_1.AlterIdValiator,
    network: zod_1.z.union([zod_1.z.literal('tcp'), zod_1.z.literal('ws')]),
    tls: zod_1.z.boolean(),
    host: zod_1.z.ostring(),
    path: zod_1.z.ostring(),
    udpRelay: zod_1.z.oboolean(),
    tls13: zod_1.z.oboolean(),
    skipCertVerify: zod_1.z.oboolean(),
    wsHeaders: zod_1.z.record(zod_1.z.string()).optional(),
    serverCertFingerprintSha256: zod_1.z.ostring(),
});
//# sourceMappingURL=vmess.js.map